Name:          xercesjarv
Version:       0
Release:       %mkrel 8
Summary:       JARV Driver for Xerces-2 XML Schema Validator
Group:         Development/Java
License:       MIT
Url:           http://www.kohsuke.org/jarv/xerces/
Source0:       http://www.kohsuke.org/jarv/xerces/XercesJARV.src.zip
Patch0:        xercesjarv-0-build_xml.patch
Patch1:        xercesjarv-0-XercesConstants.patch
Patch2:        xercesjarv-0-XercesVerifier.patch
Patch3:        xercesjarv-0-XercesVerifierFactory.patch
Patch4:        xercesjarv-0-LocatorAdaptor.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: isorelax
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      isorelax
Requires:      xerces-j2
Requires:      xml-commons-apis
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This driver allows you to control the XML Schema
validation engine of Xerces-2 through JARV, a
vendor-neutral open-source interface for validation
engines.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build

export CLASSPATH=$(build-classpath isorelax xerces-j2 xml-commons-apis)
ant -Dbuild.sysclasspath=first

%install
mkdir -p %{buildroot}%{_javadir}

install -pm 644 XercesJARV.jar \
  %{buildroot}%{_javadir}/xercesjarv.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf xercesjarv.jar XercesJARV.jar
)

mkdir -p %{buildroot}%{_javadocdir}/xercesjarv
cp -pr apidocs/* %{buildroot}%{_javadocdir}/xercesjarv

%files
%{_javadir}/xercesjarv.jar
%{_javadir}/XercesJARV.jar

%files javadoc
%{_javadocdir}/xercesjarv



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0-8.mga8
+ Revision: 1501293
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0-7.mga7
+ Revision: 1277200
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0-6.mga6
+ Revision: 931954
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-5.mga5
+ Revision: 744928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-4.mga5
+ Revision: 690594
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-3.mga4
+ Revision: 520513
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0-2.mga3
+ Revision: 386764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 19 2011 gil <gil> 0-1.mga2
+ Revision: 156504
- imported package xercesjarv

